#pragma once

#define NPP_LUA_TABLE_STRING(key, value) \
    lua_pushstring(lua, key); \
    lua_pushstring(lua, value); \
    lua_settable(lua, -3);

#define NPP_LUA_TABLE_INTEGER(key, value) \
    lua_pushstring(lua, key); \
    lua_pushinteger(lua, value); \
    lua_settable(lua, -3);

#define NPP_LUA_TABLE_NUMBER(key, value) \
    lua_pushstring(lua, key); \
    lua_pushnumber(lua, value); \
    lua_settable(lua, -3);

#define NPP_LUA_TABLE_BOOLEAN(key, value) \
    lua_pushstring(lua, key); \
    lua_pushboolean(lua, value); \
    lua_settable(lua, -3);
